"""Log handlers for Pushcart.

The log handlers are responsible for handling the logs generated by Pushcart. They can
write the logs to various destinations, such as a Delta table in Apache Spark.

Modules
-------
delta_table_handler
    Contains the DeltaTableHandler class, a logging handler that writes log records to
    a Delta table in Apache Spark.

Available Classes
-----------------
DeltaTableHandler
    A logging handler that writes log records to a Delta table in Apache Spark.
"""

from .delta_table_handler import DeltaTableHandler

__all__ = ["DeltaTableHandler"]
